Secrets of Toanium - Feature #7

Implement scripting
04/08/2020 04:49 PM - Jay Gischer

Status: Closed Start date: 04/08/2020
Priority: Normal Due date:

Assignee: Jay Gischer % Done: 0%
Category: Estimated time: 0.00 hour
Target version: Spent time: 40.00 hours
Description

Create a page for setting variables. Use those variables and expressions to define values for Enemies.

History

#1 - 04/08/2020 07:47 PM - Jay Gischer

- Assignee set to Jay Gischer

#2 - 04/21/2020 08:26 PM - Jay Gischer

- Status changed from New to In Progress

So far, I've created a page for setting and showing variables, and we can export and import files describing variables.

Now, | need to convert our other modules to use expressions rather than numbers, and display that in the Ul

#3 - 04/28/2020 05:21 PM - Jay Gischer

- Status changed from In Progress to Resolved

First Pass is complete. This includes:

Expression parser which handles symbols, addition, subtraction, multiplication, division and parentheses.
Variables collection (a singleton collection)

Variables page for CRUD operations on variables.

Import/export of variables in JSON format

Initialization of variables from a checked-in data file at startup

Refactoring Card, Enemy and Class to use expressions for numeric fields rather than numbers.

Wrote code to fixup older versions of Card/Enemy/Class modules on load.

Rewrote Editors to use expressions rather than values.

Rewrote Pixi renderers to use expressions rather than values.

#4 - 05/07/2020 05:27 PM - Jay Gischer

- Status changed from Resolved to Closed

Deployed in release 0.8
